org.apache.tinkerpop.gremlin.jsr223

## Class CoreGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.CoreGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

      public final class CoreGremlinPlugin
      extends Object
      implements GremlinPlugin

  This module is required for a `ScriptEngine` to be Gremlin-enabled. This `GremlinPlugin` is not enabled for the `ServiceLoader`. It is designed to be instantiated manually and compliant `GremlinScriptEngine` instances will automatically install it by default when created.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CoreGremlinPlugin` | `INSTANCE` Deprecated. As of 3.2.4, replaced by `instance()` as this field will later become private.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Customizer[]>` | `getCustomizers(String scriptEngineName)` Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`.
    `String` | `getName()` The name of the module.
    `static CoreGremlinPlugin` | `instance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinPlugin

      `getCustomizers, requireRestart`

- - ### Field Detail

    - #### INSTANCE

          @Deprecated
          public static final CoreGremlinPlugin INSTANCE

      Deprecated. As of 3.2.4, replaced by `instance()` as this field will later become private.

  - ### Method Detail

    - #### instance

          public static CoreGremlinPlugin instance()

    - #### getCustomizers

          public Optional<Customizer[]> getCustomizers(String scriptEngineName)

      Description copied from interface: `GremlinPlugin`
      Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`. The implementation should filter the returned `Customizers` according to the supplied name of the Gremlin-enabled `ScriptEngine`. By providing a filter, `GremlinModule` developers can have the ability to target specific `ScriptEngines`.
      Specified by:
        `getCustomizers` in interface `GremlinPlugin`
      Parameters:
        `scriptEngineName` - The name of the `ScriptEngine` or null to get all the available `Customizers`

    - #### getName

          public String getName()

      Description copied from interface: `GremlinPlugin`
      The name of the module. This name should be unique (use a namespaced approach) as naming clashes will prevent proper module operations. Modules developed by TinkerPop will be prefixed with "tinkerpop." For example, TinkerPop's implementation of Giraph would be named "tinkerpop.giraph". If Facebook were to do their own implementation the implementation might be called "facebook.giraph".
      Specified by:
        `getName` in interface `GremlinPlugin`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.